GET
/project/{projectId}/scenario/{scenarioId}/delayTable
curl \
--request GET 'https://live.smartpmtech.com/project/{projectId}/scenario/{scenarioId}/delayTable' \
--header "X-API-KEY: $API_KEY" \
--header "X-COMPANY-ID: string"
Response examples (200)
[
{
"id": 42,
"scenarioId": 42,
"period": 42,
"importLogId": 42,
"scheduleTitle": "string",
"scheduleRunDate": "2026-05-04T09:42:00Z",
"scheduledEndDate": "2026-05-04T09:42:00Z",
"endDateVarianceInPeriod": 42,
"endDateVarianceCumulative": 42,
"criticalPathDelayInPeriod": 42,
"criticalPathDelayCumulative": 42,
"criticalPathRecoveryInPeriod": 42,
"criticalPathRecoveryCumulative": 42,
"description": "string",
"delayRecoveryInPeriod": 42,
"delayRecoveryCumulative": 42,
"recoveryDelayIndex": 42.0,
"filterId": 42,
"details": [
{
"id": "string",
"activityId": 42,
"customId": "string",
"name": "string",
"criticalPathDelay": 42,
"criticalPathRecovery": 42
}
]
}
]